## qbook 20060513

=== docs/Makefile ===
# Change this to whatever lisp you'r using
LISP=openmcl
EVAL=-e
QUIT=(ccl:quit)
SYSTEM=qbook

docs: pdf html

html:
	mkdir -p html/
	${LISP} ${EVAL} "(asdf:oos 'asdf:load-op :qbook)" \
	        ${EVAL} "(asdf:oos 'asdf:load-op :${SYSTEM})" \
		${EVAL} "(asdf:oos 'qbook:publish-op :qbook \
                                   :generator (make-instance 'qbook:html-generator \
                                                             :output-directory \"./html/\" \
                                                             :title \"${SYSTEM}\"))" \
		${EVAL} "${QUIT}"

pdf:
	mkdir -p pdf/
	${LISP} ${EVAL} "(asdf:oos 'asdf:load-op :qbook)" \
                ${EVAL} "(asdf:oos 'asdf:load-op :${SYSTEM})" \
		${EVAL} "(asdf:oos 'qbook:publish-op :qbook \
                                   :generator (make-instance 'qbook:latex-generator \
                                                             :output-file \"./pdf/${SYSTEM}.tex\" \
                                                             :title \"${SYSTEM}\"))" \
		${EVAL} "${QUIT}"
	(cd pdf && pdflatex ${SYSTEM}.tex)
	(cd pdf && pdflatex ${SYSTEM}.tex)
	rm pdf/${SYSTEM}.aux pdf/${SYSTEM}.log pdf/${SYSTEM}.toc pdf/${SYSTEM}.tex

## qbook 0.0+tla20050331-1

=== {arch}/++pristine-trees/unlocked/qbook/qbook--gismo/qbook--gismo--0.9/luca@pca.it--2005/qbook--gismo--0.9--patch-2/debian/changelog ===
qbook (0.0+tla20050331-1) unstable; urgency=low

  * Initial release
  * arch revision:
      qbook--dev--0.9--patch-13

 -- Luca Capello <luca@pca.it>  Thu, 31 Mar 2005 14:42:19 +0100

=== {arch}/++pristine-trees/unlocked/qbook/qbook--gismo/qbook--gismo--0.9/luca@pca.it--2005/qbook--gismo--0.9--patch-2/debian/control ===
Source: qbook
Section: devel
Priority: optional
Maintainer: Luca Capello <luca@pca.it>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: cl-qbook
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, common-lisp-controller (>= 3.47), cl-asdf, cl-arnesi, cl-iterate, cl-ppcre, cl-yaclml
Description: create HTML/LaTex versions of Common Lisp source code
 qbook is a Common Lisp tool to create HTML/LaTex versions of
 source code.
 .
 Features:
  * Very simple (easy to learn and use).
  * It can produce HTML or LaTex.

=== {arch}/++pristine-trees/unlocked/qbook/qbook--gismo/qbook--gismo--0.9/luca@pca.it--2005/qbook--gismo--0.9--patch-2/debian/rules ===
#!/usr/bin/make -f

export DH_COMPAT=4

pkg		:= qbook
debpkg		:= cl-$(pkg)


clc-source	:= usr/share/common-lisp/source
clc-systems	:= usr/share/common-lisp/systems
clc-files	:= $(clc-source)/$(pkg)
doc-dir		:= usr/share/doc/$(debpkg)


configure: configure-stamp

configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
#	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	# Add here commands to compile the package.
#	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.
	rm -rf debian/postinst.* debian/prerm.* debian/$(debpkg)
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	# Add here commands to install the package into debian/pkg.
	dh_installdirs

	# Install sources
	dh_install $(pkg).asd $(clc-files)
	cp -r src debian/$(debpkg)/$(clc-files)
	find debian/$(debpkg)/$(clc-files) -name .arch-ids | xargs rm -r
	dh_link $(clc-files)/$(pkg).asd $(clc-systems)/$(pkg).asd

# Build architecture-independent files here.
binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
#	dh_installemacsen
#	dh_installexamples
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
